Move an issue to another queue using an API request

Use this request to move an issue to a different queue.

POST

https://api.tracker.yandex.net/v3/issues/{issue_ID}/_move?queue=QUEUE_KEY

Before executing the request, make sure the user has permission to edit the issues to be moved and is allowed to create them in the new queue.

Consider the behavior specifics when moving an issue:

Situation

Limit

Different workflows

If the issue type has different workflows configured in the source and target queues, only the organization administrator can move the issue while keeping its current status.

Other users are not allowed to perform such a move.

Type and status

If the type or status of the issue being moved does not exist in the new queue, the move will not be performed.

To reset the status to its initial value, use the initialStatus=true parameter.

Components, versions, and projects

By default, they are cleared when moving.

If the new queue has similar values configured, use the moveAllFields=true parameter.

Local fields

Values of local fields will be deleted when moving to another queue.

Query format

Before making a request, get permission to access the API.

To move issues, use an HTTP POST request:

POST /v3/issues/{id_задачи}/_move?queue=QUEUE_KEY
Host: api.tracker.yandex.net
Authorization: OAuth API_TOKEN
X-Org-ID or X-Cloud-Org-ID: ORGANIZATION_ID
Headers
  • Host: address of the node that provides the API.

  • Authorization: Authorization token about these formats:

    • OAuth OAUTH_TOKEN: For authorization using the OAuth 2.0 protocol. Learn more

    • Bearer IAM_TOKEN: For authorization using an IAM token, if a Yandex Identity Hub organization is linked to Tracker. Learn more

  • ID types

    X-Org-ID or X-Cloud-Org-ID: Organization ID.

    • Use the X-Org-ID header if a Tracker organization is linked to Yandex 360 for Business.

    • Use the X-Cloud-Org-ID header if a Tracker organization is linked to Yandex Identity Hub.

    Finding the ID

    To get the organization ID, go to Administration → Organizations and copy the value from the ID field.

Resource
Parameter Description Data type
issue_key_or_ID ID or key of the current issue. String
Request parameters

Required parameters

Parameter Description Data type
queue Key of the queue to which the issue should be moved. String

Additional parameters

Parameter Description Data type
notify Flag indicating whether to notify about the issue change:
  • true – (default) users specified in the issue fields will receive notifications;
  • false – users will not receive notifications.
Boolean
notifyAuthor Flag indicating whether to notify the issue author:
  • true – the author will receive a notification;
  • false (default) – the author will not receive a notification.
Boolean
moveAllFields Moving the issue's versions, components, and projects to the new queue:
  • true – move them if the corresponding versions, components, and projects exist in the new queue;
  • false (default) – clear the versions, components, and projects.
Boolean
initialStatus Resetting the issue status to its initial value. The status must be reset if the issue is moved to a queue with a different workflow:
  • true – the status will be reset;
  • false (default) – the status will remain unchanged.
Boolean
expand Additional fields to be included in the response:
  • attachments – attachments;
  • comments – comments;
  • workflow – issue workflow;
  • transitions – lifecycle transitions.
String
Request body parameters

You can use the request body if you need to change the parameters of the issue being moved. The request body has the same format as when editing issues.

Example: Moving an issue

  • An HTTP POST method is used.
  • Moving the TEST-1 issue to the NEW queue.
POST https://api.tracker.yandex.net/v3/issues/TEST-1/_move?queue=NEW

Response format

If the request is successful, the API returns a response with code 200 OK.

The response body contains the results in JSON format.

{
    "self": "https://api.tracker.yandex.net/v3/issues/NEW-1",
    "id": "1a********",
    "key": "NEW-1",
    "version": 2,
    "aliases": [
        "TEST-1"
    ],
    "previousQueue": {
        "self": "https://api.tracker.yandex.net/v3/queues/TEST",
        "id": "3",
        "key": "TEST",
        "display": "TEST"
    },
    "description": "My description",
    "type": {
        "self": "https://api.tracker.yandex.net/v3/issuetypes/2",
        "id": "2",
        "key": "task",
        "display": "Task"
    },
    "createdAt": "2020-09-04T14:18:56.776+0000",
    "updatedAt": "2020-11-12T12:38:19.040+0000",
    "lastCommentUpdatedAt": "2020-10-18T13:33:44.291+0000",
    "summary": "Тест",
    "updatedBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name"
    },
    "priority": {
        "self": "https://api.tracker.yandex.net/v3/priorities/3",
        "id": "3",
        "key": "normal",
        "display": "Normal"
    },
    "followers": [
        {
            "self": "https://api.tracker.yandex.net/v3/users/11********",
            "id": "11********",
            "display": "User Name"
        }
    ],
    "createdBy": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name"
    },
    "assignee": {
        "self": "https://api.tracker.yandex.net/v3/users/11********",
        "id": "11********",
        "display": "User Name"
    },
    "queue": {
        "self": "https://api.tracker.yandex.net/v3/queues/NEW",
        "id": "5",
        "key": "NEW",
        "display": "My queue"
    },
    "status": {
        "self": "https://api.tracker.yandex.net/v3/statuses/1",
        "id": "1",
        "key": "open",
        "display": "Open"
    },
    "previousStatus": {
        "self": "https://api.tracker.yandex.net/v3/statuses/3",
        "id": "3",
        "key": "resolved",
        "display": "Resolved"
    },
    "favorite": false
}
Response parameters

The table lists the main response fields. For a full list of fields and their descriptions, see Response parameters.

The response may also include global user fields and local queue fields.

Parameter Description Data type
self API resource address that contains information about the issue. String
id Issue ID. String
key Issue key. String
version Issue version. Each change of issue parameters increments the version number.
Issue editing will be blocked if the version reaches the limit: for robots 10100, for users 11100.
Number
aliases Array with information about the issue's alternative keys. Array of strings
previousQueue Object with information about the issue's previous queue. Object
description Issue description. String
type Object with information about the issue type. Object
createdAt Issue creation date and time. String
updatedAt Date and time of the issue update. String
lastCommentUpdatedAt Date and time of the last added comment. String
summary Issue summary. String
updatedBy Object with information about the last user who changed the issue. Object
priority Object with information about the priority. Object
followers Array of objects with information about the issue followers. Array of strings
createdBy Object with information about the issue reporter. Object
assignee Object with information about the issue assignee. Object
queue Object with information about the issue queue. Object
status Object with information about the issue status. Object
previousStatus Object with information about the previous issue status. Object
favorite Flag indicating a favorite issue:
  • true – notifications are disabled;
  • false – notifications are enabled.
Boolean

previousQueue object fields

Parameter Description Data type
self Address of the API resource with information about the queue. String
id Queue ID. String
key Queue key. String
display Queue name displayed. String

type object fields

Parameter Description Data type
self Address of the API resource with information about the issue type. String
id Issue type ID String
key Issue type key. String
display Issue type name displayed. String

updatedBy object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Identity Hub String

priority object fields

Parameter Description Data type
self Address of the API resource with information about the priority. String
id Priority ID String
key Priority key. String
display Priority name displayed. String

followers array object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Identity Hub String

createdBy object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Identity Hub String

assignee object fields

Parameter Description Data type
self Address of the API resource with information about the user String
id User ID. String
display Displayed user name String
passportUid Unique ID of the user account in the Yandex 360 for Business organization and Yandex ID. Number
cloudUid Unique user ID in Yandex Identity Hub String

queue object fields

Parameter Description Data type
self Address of the API resource with information about the queue. String
id Queue ID. String
key Queue key. String
display Queue name displayed. String

status object fields

Parameter Description Data type
self Address of the API resource with information about the status. String
id Status ID. String
key Status key. String
display Status name displayed. String

previousStatus object fields

Parameter Description Data type
self Address of the API resource with information about the status. String
id Status ID. String
key Status key. String
display Status name displayed. String

If the request is processed incorrectly, the API returns a response with an error code:

401
The user is not authorized. Make sure that actions described in the API access section are performed.
403
You are not authorized to perform this action. You can check what rights you have in the Tracker interface. The same rights are required to perform an action via the API and interface.
404
The requested object was not found. You may have specified an invalid object ID or key.
423
Object edits disabled. The version parameter value limit (the maximum number of object updates) might have been exceeded. The maximum version value is 10100 for robots and 11100 for users.

A workflow is a set of issue statuses and rules for transitioning between them. You can set up multiple workflows in each queue.